Create a Payment Method Domain

Creates a payment method domain

Body
required
application/json

Request parameters for creating a new payment method domain.

  • domain_name
    Type: string
    max length:  
    100
    required

    The domain name that this payment method domain object represents.

Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for post/v1/payment_method_domains
curl https://api.paypercut.io/v1/payment_method_domains \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "domain_name": ""
}'
{
  "id": "string",
  "created": "2026-04-02T14:45:59.065Z",
  "domain_name": "string",
  "enabled": true,
  "livemode": true
}